import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/reportpricemonitor/` + url, ...arg)
const request1 = (url, ...arg) => baseRequest(`/basic.info/reportpricemonitor/` + url, ...arg)
/**
 * 漏报统计站点Api接口管理器
 *
 * @author weiyinbin
 * @date  2024/04/09 11:39
 **/
export default {
	// 获取漏报统计站点分页
	unReportPriceMonitorPage(data) {
		return request('page', data, 'get')
	},
	// // 提交漏报统计站点表单 edit为true时为编辑，默认为新增
	// unReportPriceMonitorSubmitForm(data, edit = false) {
	// 	return request(edit ? 'edit' : 'add', data)
	// },
	// // 导出
	unReportPriceMonitorExle(data) {
		return request1('exportByEntity', data, 'post')
	}
	// // 获取漏报统计站点详情
	// unReportPriceMonitorDetail(data) {
	// 	return request('detail', data, 'get')
	// }
}
